# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
#  This file is part of VSCP - Very Simple Control Protocol
#  http://www.vscp.org
#
# ******************************************************************************


#
#            !!!!!!!!!!!!!!!!!!!!  W A R N I N G  !!!!!!!!!!!!!!!!!!!!
#                           This file is auto-generated
#                see https://github.com/grodansparadis/vscp-classes
#                        Generated: 2020-06-11 14:08:12.727338
#
 
CLASS1_PROTOCOL                          = 0      # VSCP Protocol Functionality
CLASS1_ALARM                             = 1      # Alarm functionality
CLASS1_SECURITY                          = 2      # Security
CLASS1_MEASUREMENT                       = 10     # Measurement
CLASS1_MEASUREMENTX1                     = 11     # Measurement
CLASS1_MEASUREMENTX2                     = 12     # Measurement
CLASS1_MEASUREMENTX3                     = 13     # Measurement
CLASS1_MEASUREMENTX4                     = 14     # Measurement
CLASS1_DATA                              = 15     # Data
CLASS1_INFORMATION                       = 20     # Information
CLASS1_CONTROL                           = 30     # Control
CLASS1_MULTIMEDIA                        = 40     # Multimedia
CLASS1_AOL                               = 50     # Alert On LAN
CLASS1_MEASUREMENT64                     = 60     # Double precision floating point measurement
CLASS1_MEASUREMENT64X1                   = 61     # Double precision floating point measurement
CLASS1_MEASUREMENT64X2                   = 62     # Double precision floating point measurement
CLASS1_MEASUREMENT64X3                   = 63     # Double precision floating point measurement
CLASS1_MEASUREMENT64X4                   = 64     # Double precision floating point measurement
CLASS1_MEASUREZONE                       = 65     # Measurement with zone
CLASS1_MEASUREZONEX1                     = 66     # Measurement with zone
CLASS1_MEASUREZONEX2                     = 67     # Measurement with zone
CLASS1_MEASUREZONEX3                     = 68     # Measurement with zone
CLASS1_MEASUREZONEX4                     = 69     # Measurement with zone
CLASS1_MEASUREMENT32                     = 70     # Single precision floating point measurement
CLASS1_MEASUREMENT32X1                   = 71     # Single precision floating point measurement
CLASS1_MEASUREMENT32X2                   = 72     # Single precision floating point measurement
CLASS1_MEASUREMENT32X3                   = 73     # Single precision floating point measurement
CLASS1_MEASUREMENT32X4                   = 74     # Single precision floating point measurement
CLASS1_SETVALUEZONE                      = 85     # Set value with zone
CLASS1_SETVALUEZONEX1                    = 86     # Set value with zone
CLASS1_SETVALUEZONEX2                    = 87     # Set value with zone
CLASS1_SETVALUEZONEX3                    = 88     # Set value with zone
CLASS1_SETVALUEZONEX4                    = 89     # Set value with zone
CLASS1_WEATHER                           = 90     # Weather
CLASS1_WEATHER_FORECAST                  = 95     # Weather forecast
CLASS1_PHONE                             = 100    # Phone
CLASS1_DISPLAY                           = 102    # Display
CLASS1_IR                                = 110    # IR Remote I/f
CLASS1_GNSS                              = 206    # Position (GNSS)
CLASS1_WIRELESS                          = 212    # Wireless
CLASS1_DIAGNOSTIC                        = 506    # Diagnostic
CLASS1_ERROR                             = 508    # Error
CLASS1_LOG                               = 509    # Logging
CLASS1_LABORATORY                        = 510    # Laboratory use
CLASS1_LOCAL                             = 511    # Local use
CLASS2_LEVEL1_PROTOCOL                   = 512    # Class2 Level I Protocol
CLASS2_LEVEL1_ALARM                      = 513    # Class2 Level I Alarm
CLASS2_LEVEL1_SECURITY                   = 514    # Class2 Level I Security
CLASS2_LEVEL1_MEASUREMENT                = 522    # Class2 Level I Measurements
CLASS2_LEVEL1_MEASUREMENTX1              = 523    # Class2 Level I Measurements
CLASS2_LEVEL1_MEASUREMENTX2              = 524    # Class2 Level I Measurements
CLASS2_LEVEL1_MEASUREMENTX3              = 525    # Class2 Level I Measurements
CLASS2_LEVEL1_MEASUREMENTX4              = 526    # Class2 Level I Measurements
CLASS2_LEVEL1_DATA                       = 527    # Class2 Level I Data
CLASS2_LEVEL1_INFORMATION1               = 532    # Class2 Level I Information
CLASS2_LEVEL1_CONTROL                    = 542    # Class2 Level I Control
CLASS2_LEVEL1_MULTIMEDIA                 = 552    # Class2 Level I Multimedia
CLASS2_LEVEL1_AOL                        = 562    # Class2 Level I AOL
CLASS2_LEVEL1_MEASUREMENT64              = 572    # Class2 Level I Measurement64
CLASS2_LEVEL1_MEASUREMENT64X1            = 573    # Class2 Level I Measurement64
CLASS2_LEVEL1_MEASUREMENT64X2            = 574    # Class2 Level I Measurement64
CLASS2_LEVEL1_MEASUREMENT64X3            = 575    # Class2 Level I Measurement64
CLASS2_LEVEL1_MEASUREMENT64X4            = 576    # Class2 Level I Measurement64
CLASS2_LEVEL1_MEASUREZONE                = 577    # Class2 Level I Measurementzone
CLASS2_LEVEL1_MEASUREZONEX1              = 578    # Class2 Level I Measurementzone
CLASS2_LEVEL1_MEASUREZONEX2              = 579    # Class2 Level I Measurementzone
CLASS2_LEVEL1_MEASUREZONEX3              = 580    # Class2 Level I Measurementzone
CLASS2_LEVEL1_MEASUREZONEX4              = 581    # Class2 Level I Measurementzone
CLASS2_LEVEL1_MEASUREMENT32              = 582    # Class2 Level I Measuremet32
CLASS2_LEVEL1_MEASUREMENT32X1            = 583    # Class2 Level I Measuremet32
CLASS2_LEVEL1_MEASUREMENT32X2            = 584    # Class2 Level I Measuremet32
CLASS2_LEVEL1_MEASUREMENT32X3            = 585    # Class2 Level I Measuremet32
CLASS2_LEVEL1_MEASUREMENT32X4            = 586    # Class2 Level I Measuremet32
CLASS2_LEVEL1_SETVALUEZONE               = 597    # Class2 Level I SetValueZone
CLASS2_LEVEL1_SETVALUEZONEX1             = 598    # Class2 Level I SetValueZone
CLASS2_LEVEL1_SETVALUEZONEX2             = 599    # Class2 Level I SetValueZone
CLASS2_LEVEL1_SETVALUEZONEX3             = 600    # Class2 Level I SetValueZone
CLASS2_LEVEL1_SETVALUEZONEX4             = 601    # Class2 Level I SetValueZone
CLASS2_LEVEL1_WEATHER                    = 602    # Class2 Level I Weather
CLASS2_LEVEL1_WEATHERFORECAST            = 607    # Class2 Level I Weather Forecast
CLASS2_LEVEL1_PHONE                      = 612    # Class2 Level I Phone
CLASS2_LEVEL1_DISPLAY                    = 614    # Class2 Level I Display
CLASS2_LEVEL1_IR                         = 622    # Class2 Level I IR
CLASS2_LEVEL1_GNSS                       = 718    # Class2 Level I GNSS
CLASS2_LEVEL1_WIRELESS                   = 724    # Class2 Level I Wireless
CLASS2_LEVEL1_DIAGNOSTIC                 = 1018   # Class2 Level I Diagnostic
CLASS2_LEVEL1_ERROR                      = 1020   # Class2 Level I Error
CLASS2_LEVEL1_LOG                        = 1021   # Class2 Level I Log
CLASS2_LEVEL1_LABORATORY                 = 1022   # Class2 Level I Laboratory
CLASS2_LEVEL1_LOCAL                      = 1023   # Class2 Level I Local
CLASS2_PROTOCOL                          = 1024   # Level II Protocol Functionality
CLASS2_CONTROL                           = 1025   # Level II Control
CLASS2_INFORMATION                       = 1026   # Level II Information
CLASS2_TEXT2SPEECH                       = 1027   # Text to speech
CLASS2_HLO                               = 1028   # High Level Object
CLASS2_CUSTOM                            = 1029   # Level II Custom
CLASS2_DISPLAY                           = 1030   # Level II Display
CLASS2_MEASUREMENT_STR                   = 1040   # Measurement string
CLASS2_MEASUREMENT_FLOAT                 = 1060   # Measurement float
CLASS2_VSCPD                             = 65535  # VSCP Daemon internal events
 
 
